Vulnerabilità: CVE-2020-4059

In mversion prima 2.0.0, esiste una vulnerabilità iniezione comando. Questo problema può causare l’esecuzione di codice remoto se un cliente della biblioteca chiama il metodo vulnerabile input non attendibile. Questa vulnerabilità è patchato dalla versione 2.0.0. versioni precedenti sono deprecati in NPM. Per risolvere il problema, assicurarsi di sfuggire git commit messaggi quando si utilizza l’opzione commitMessage per la funzione di aggiornamento.


https://github.com/mikaelbr/mversion/security/advisories/GHSA-qjg4-w4c6-f6c6
https://github.com/mikaelbr/mversion/security/advisories/GHSA-qjg4-w4c6-f6c6
https://github.com/mikaelbr/mversion/commit/6c76c9efd27c7ff5a5c6f187e8b7a435c4722338
https://github.com/mikaelbr/mversion/commit/6c76c9efd27c7ff5a5c6f187e8b7a435c4722338
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-4059


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi